The OS X 10.10.4 update fully patches the Rootpipe security vulnerability, and it does not appear that Apple has any immediately plans for releasing this patch for older versions of OS X.

My gut is telling me that Apple has only patched Yosemite because although this threat received a lot of press, it has not surfaced in the wild. Because Apple recently released the EFI firmware patches for OS X 10.8 and 10.9 to address the Prince Harming and Dark Jedi vulnerabilities, I think it’s a good bet they will release a similar Rootpipe patch if this threat ever becomes a reality.